Subject: Re: [PATCH] drivers/char/hvc_console.c: reduce max idle timeout

From: Chris Metcalf <[email-masked]>
Date: Wed, 27 Oct 2010 15:46:27 -0400

On 10/27/2010 3:21 PM, Alan Cox wrote:
> On Wed, 27 Oct 2010 12:54:27 -0400 Chris Metcalf <[email-masked]> wrote:
>> The tile architecture uses this framework for our serial console,
> That may be a mistake unless your console is genuinely only capable of
> polled input.

The console is in fact interrupt-driven within the hypervisor, and data is
buffered there.  However, the current hypervisor console API is only
"write" and "read".  We have a bugzilla to add console interrupts to the
hypervisor API and use them from Linux, but we haven't done it yet.

-- 
Chris Metcalf, Tilera Corp.
http://www.tilera.com